body {
    font-family: helvetica;
    background-color: #F1F2EC;
}

#divCorpo {
    position: absolute;
    top: 9%;
    right: 3px;
    float: right;
    width: 75%;
    height: 90%;
    overflow: auto;
}

#divNoticias {
    position: absolute;
    padding: 10px;
    top: 10%;
    right: 3px;
    float: right;
    width: 75%;
    height: 85%;
    overflow: auto;
    z-index: 3;
    background-color: #DADED1;
}
#divConteudoNoticias {
    line-height: 1.3;
}

#divDetalhes1 {
    padding: 0.3%;
    position: absolute;
    border-radius: 0 5px 5px 0;
    left: 0;
    top: 15%;
    width: 24%;
    max-height: 80%;
    overflow: auto;
    visibility: hidden;
    line-height: 1.2;
}

#form_escolhe_data {
    position: absolute;
    width: 175px;
    bottom: 81%;
    border-right: 2px solid #313131;
}

#form_escolhe_aviso {
    position: absolute;
    width: 175px;
    bottom: 81%;
    border-right: 2px solid #313131;
}

#formPesquisa {
    position: absolute;
    bottom: 81%;
    right: 110px;
    z-index: 1;
}

#divFiltrarControlos {
    position: absolute;
    width: 250px;
    border-right: 2px solid #313131;
    bottom: 81%;
    left: 180px;
}
#divFiltrar {
    background-color: #DDDDDD;
    padding: 5px;
    visibility: hidden;
    position: absolute;
    top: 8%;
    left: 170px;
    width: 320px;
    height: 145px;
    z-index: 2;
    border: 3px outset #858585;
    overflow: auto;
	box-shadow: 3px 7px 3px rgba(0,0,0,.5);
}

#divMarcarControlos {
    position: absolute;
    width: 56%;
    bottom: 81%;
    left: 435px;
}
#divMarcar {
    background-color: #DDDDDD;
    padding: 5px;
    visibility: hidden;
    position: absolute;
    top: 8%;
    left: 435px;
    width: 320px;
    height: 160px;
    z-index: 2;
    border: 3px outset #858585;
    overflow: auto;
	box-shadow: 3px 7px 3px rgba(0,0,0,.5);
}

#divTotalResultados {
    position: absolute;
    bottom: 81%;
    right: 17px;
}

.btn-logout {
    position: absolute;
    top: 30px;
    right: 2px;
}

.btn-confirmarDivPopup {
    position: absolute;
    bottom: 5px;
    right: 60px;
}
.btn-fecharDivPopup {
    position: absolute;
    bottom: 5px;
    right: 5px;
}

.tituloPagina {
    position: relative;
    top: -20px;
    font-family: "Trebuchet MS", Helvetica, sans-serif;
    text-shadow: 2px 2px 1px rgba(0,0,0,0.3);
    color: #3E425F;
}
.tituloDetalhes {
    text-shadow: 0 0 1px white;
    text-align: center;
    color: #3E425F;
}
.tituloPopup {
    text-shadow: 0 0 1px white;
    text-align: center;
}
.dataNoticias {
    text-shadow: 0 0 1px white;
    color: #3E425F;
}

.nomeCampo {
    font-family: georgia, arial;
    text-shadow: 0.5px 0.5px 1px gray;
}
.nomeHistorico {
    color: #3E425F;
    font-family: georgia, arial;
    text-shadow: 0.5px 0.5px 1px gray;
}
.longTextbox {
    width: 96%;
}

button, input[type="submit"] {
    border-radius: 4px;
    cursor: pointer;
	box-shadow: 1px 2px 2px rgba(0,0,0,0.3);
}

nav button {
    margin-right: 3px;
    color: white;
    border: 2px solid #181B3C;
    background-color: #3E425F;
    padding: 4px;
    font-size: 16px;
}
nav button:hover {
    border: 2px solid #181B3C;
    background-color: #181B3C;
}
.navSelected {
    background-color: #616796;
}

.btn-navegar {
    color: white;
    border: 2px solid #596425;
    background-color: #596425;
    padding: 3px;
    margin: 1px;
}.btn-navegar:hover {
    border: 2px solid #3C4319;
    background-color: #3C4319;
}
.btn-navegarAgricultor {
    margin-bottom: 5px;
}

.btn-confirmar {
    color: white;
    border: 2px solid #286C12;
    background-color: #286C12;
    padding: 3px;
    margin: 1px;
}.btn-confirmar:hover {
    border: 2px solid #154F02;
    background-color: #154F02;
}

.btn-info {
    color: white;
    border: 2px solid #2C4770;
    background-color: #2C4770;
    padding: 3px;
    margin: 1px;
}.btn-info:hover {
    border: 2px solid #163158;
    background-color: #163158;
}

.btn-perigo {
    color: white;
    border: 2px solid #A8383B;
    background-color: #A8383B;
    padding: 3px;
    margin: 1px;
}.btn-perigo:hover {
    border: 2px solid #7E1518;
    background-color: #7E1518;
}

.btn-cancelar {
    color: white;
    border: 2px solid #C06738;
    background-color: #C06738;
    padding: 3px;
    margin: 1px;
}.btn-cancelar:hover {
    border: 2px solid #833206;
    background-color: #833206;
}

.btn-novoPrincipal{
    position: absolute;
    bottom: 81%;
}

.btn-novoAviso {
    right: 25px;
    position: absolute;
    bottom: 90%;
}

.btn-descarregarTabela {
    right: 125px;
    position: absolute;
    bottom: 90%;
}


/*INICIO TABELAS <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<*/


table, th, td {
    border: 1px solid black;
    font-size: 13px;
    border-collapse: collapse;
}

td {
    text-align: center;
    overflow: hidden;
}
td:hover {
    background-color: #91B8B8;
    color: black;
}

th {
    color: white;
    background-image: linear-gradient(#A12323, #510000);
}
th:not(.cabecalhoOrdenar):hover {
    cursor: default;
}
.cabecalhoOrdenar:hover {
    background-image: linear-gradient(#510000, #A12323);
}

.linhaPar {
    background-color: white;
}
.linhaImpar {
    background-color: #E7E7E7;
}

.tabelaGrande {
    position: absolute;
    top: 20%;
    width: 100%;
    height: 70vh;
    overflow: hidden;
}

.tabelaGigante {
    position: absolute;
    top: 25%;
    width: 100%;
    height: 65vh;
    overflow: hidden;
}

.tabelaPequena {
    width: 100%;
    overflow: hidden;
}

.tabelaGigante th, .tabelaGigante td {
    padding: 0.3%;
}
.tabelaGrande th, .tabelaGrande td {
    padding: 0.3%;
}
.tabelaPequena th, .tabelaPequena td {
    padding: 1%;
}

.tabelaAgricultor th,
.tabelaAgricultor td {width: 10%;}
.tabelaAgricultor th:nth-child(1),
.tabelaAgricultor td:nth-child(1) {width: 3%;}
.tabelaAgricultor th:nth-child(2) {width: 18%;}
.tabelaAgricultor td:nth-child(2) {width: 18%; text-align: left;}
.tabelaAgricultor th:nth-child(4),
.tabelaAgricultor td:nth-child(4),
.tabelaAgricultor th:nth-child(5),
.tabelaAgricultor td:nth-child(5) {width: 5%;}
.tabelaAgricultor th:nth-child(6) {width: 8%;}
.tabelaAgricultor td:nth-child(6) {width: 8%; text-align: left;}
.tabelaAgricultor th:nth-child(7),
.tabelaAgricultor td:nth-child(7) {width: 5%;}
.tabelaAgricultor td:nth-child(n+8) {display: none;}

.tabelaAvisoAgricultor th,
.tabelaAvisoAgricultor td {width: 10%;}
.tabelaAvisoAgricultor th:nth-child(1),
.tabelaAvisoAgricultor td:nth-child(1) {width: 3%;}
.tabelaAvisoAgricultor th:nth-child(2) {width: 18%;}
.tabelaAvisoAgricultor td:nth-child(2) {width: 18%; text-align: left;}
.tabelaAvisoAgricultor th:nth-child(4),
.tabelaAvisoAgricultor td:nth-child(4),
.tabelaAvisoAgricultor th:nth-child(5),
.tabelaAvisoAgricultor td:nth-child(5) {width: 5%;}
.tabelaAvisoAgricultor th:nth-child(6) {width: 8%;}
.tabelaAvisoAgricultor td:nth-child(6) {width: 8%; text-align: left;}
.tabelaAvisoAgricultor th:nth-child(7),
.tabelaAvisoAgricultor td:nth-child(7) {width: 5%;}
.tabelaAvisoAgricultor td:nth-child(n+8) {display: none;}

.tabelaSubsidio th,
.tabelaSubsidio td {width: 10%;}
.tabelaSubsidio th:nth-child(1), 
.tabelaSubsidio td:nth-child(1) {width: 3%;}
.tabelaSubsidio th:nth-child(2) {width: 20%;}
.tabelaSubsidio td:nth-child(2) {width: 20%; text-align: left;}
.tabelaSubsidio td:nth-child(n+9) {display: none;}

.tabelaIRS th,
.tabelaIRS td {width: 10%;}
.tabelaIRS th:nth-child(1), 
.tabelaIRS td:nth-child(1) {width: 3%;}
.tabelaIRS th:nth-child(2) {width: 20%;}
.tabelaIRS td:nth-child(2) {width: 20%; text-align: left;}
.tabelaIRS td:nth-child(n+8) {display: none;}

.tabelaDecl_Trimestre th,
.tabelaDecl_Trimestre td {width: 10%;}
.tabelaDecl_Trimestre th:nth-child(1), 
.tabelaDecl_Trimestre td:nth-child(1) {width: 4%;}
.tabelaDecl_Trimestre th:nth-child(2) {width: 25%;}
.tabelaDecl_Trimestre td:nth-child(2) {width: 25%; text-align: left;}
.tabelaDecl_Trimestre th:nth-child(9),
.tabelaDecl_Trimestre td:nth-child(9) {width: 5%}
.tabelaDecl_Trimestre th:nth-child(10),
.tabelaDecl_Trimestre td:nth-child(10) {width: 5%}
.tabelaDecl_Trimestre th:nth-child(11),
.tabelaDecl_Trimestre td:nth-child(11) {width: 5%}

.tabelaSite th:nth-child(1), 
.tabelaSite td:nth-child(1) {width: 3%;}
.tabelaSite th:nth-child(2) {width: 20%;}
.tabelaSite td:nth-child(2) {width: 20%; text-align: left;}
.tabelaSite th:nth-child(3),
.tabelaSite td:nth-child(3) {width: 20%;}

.tabelaServico th:nth-child(1), 
.tabelaServico td:nth-child(1) {width: 3%;}
.tabelaServico th:nth-child(2) {width: 20%;}
.tabelaServico td:nth-child(2) {width: 20%; text-align: left;}
.tabelaServico th:nth-child(3),
.tabelaServico td:nth-child(3) {width: 6%;}

.tabelaContrato th:nth-child(1) {width: 20%}
.tabelaContrato td:nth-child(1) {width: 20%; text-align: left;}
.tabelaContrato th:nth-child(2),
.tabelaContrato td:nth-child(2) {width: 30%}
.tabelaContrato th:nth-child(3),
.tabelaContrato td:nth-child(3) {width: 30%}

.tabelaDependente th:nth-child(1) {width: 20%}
.tabelaDependente td:nth-child(1) {width: 20%; text-align: left;}
.tabelaDependente th:nth-child(2) {width: 22%} 
.tabelaDependente td:nth-child(2) {width: 22%;}

.tabelaDependenteIRS th:nth-child(1) {width: 30%} 
.tabelaDependenteIRS td:nth-child(1) {width: 30%}
.tabelaDependenteIRS th:nth-child(2) {width: 22%} 
.tabelaDependenteIRS td:nth-child(2) {width: 22%}

.tabelaConjugue th:nth-child(1) {width: 40%} 
.tabelaConjugue td:nth-child(1) {width: 40%; text-align: left;}
.tabelaConjugue th:nth-child(2) {width: 25%} 
.tabelaConjugue td:nth-child(2) {width: 25%;}

.tabelaConjugueIRS th:nth-child(1) {width: 40%} 
.tabelaConjugueIRS td:nth-child(1) {width: 40%; text-align: left;}
.tabelaConjugueIRS th:nth-child(2) {width: 22%} 
.tabelaConjugueIRS td:nth-child(2) {width: 22%;}

.tabelaLogin th:nth-child(1),
.tabelaLogin td:nth-child(1) {width: 15%;}
.tabelaLogin th:nth-child(5),
.tabelaLogin td:nth-child(5) {width: 23%;}

.tabelaGrande .cabecalhoTabela {
    width: calc(100% - 17px);
}
.tabelaPequena .cabecalhoTabela {
    width: 100%;
}
.cabecalhoTabela table {
    table-layout: fixed;
    width: 100%;
}

.tabelaGrande .corpoTabela {
    width: 100%;
    overflow-y: scroll;
    height: 90%;
    overflow-x: hidden;
}
.tabelaPequena .corpoTabela {
    width: 100%;
    overflow-y: auto;
    height: 90%;
    overflow-x: hidden;
}
.corpoTabela table {
    table-layout: fixed;
    width: 100%;
}


/*FIM TABELAS <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<*/



.temNota {
    text-decoration: underline;
}

.erroForm {
    color: red;
}

.divMensagem {
    position: absolute;
    bottom: 3px;
    font-weight: bold;
}

.divLogin {
    width: 20%;
    padding: 1%;
}

#mensagem_erro {
    color: red;
}